Eclipse Platform Release 3.7

## org.eclipse.ui.views.navigator
Class OpenActionGroup

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup
              org.eclipse.ui.views.navigator.OpenActionGroup

Deprecated. as of 3.5, use the Common Navigator Framework classes instead

    public class OpenActionGroup

extends ResourceNavigatorActionGroup

This is the action group for the open actions.

Field Summary
`static String` `OPEN_WITH_ID` Deprecated. The id for the Open With submenu.

Fields inherited from class org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup
`navigator`

Constructor Summary
`OpenActionGroup(IResourceNavigator navigator)` Deprecated. Creates a new action group for open actions.

Method Summary
`void` `fillContextMenu(IMenuManager menu)` Deprecated. Adds the applicable actions to a context menu, based on the state of the `ActionContext`.
`protected void` `makeActions()` Deprecated. Makes the actions contained in this action group.
`void` `runDefaultAction(IStructuredSelection selection)` Deprecated. Runs the default action (open file).

Methods inherited from class org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup
`getImageDescriptor, getNavigator, handleKeyPressed`

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`dispose, fillActionBars, getContext, setContext, updateActionBars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPEN_WITH_ID

    public static final String OPEN_WITH_ID

  Deprecated.
  The id for the Open With submenu.

  See Also:
    Constant Field Values

Constructor Detail

### OpenActionGroup

    public OpenActionGroup(IResourceNavigator navigator)

  Deprecated.
  Creates a new action group for open actions.

  Parameters:
    `navigator` - the resource navigator

Method Detail

### makeActions

    protected void makeActions()

  Deprecated.
  Description copied from class: `ResourceNavigatorActionGroup`
  Makes the actions contained in this action group.

  Specified by:
    `makeActions` in class `ResourceNavigatorActionGroup`

### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

  Deprecated.
  Description copied from class: `ActionGroup`
  Adds the applicable actions to a context menu, based on the state of the `ActionContext`.

  The default implementation does nothing. Subclasses may override or extend this method.

  Overrides:
    `fillContextMenu` in class `ActionGroup`
  Parameters:
    `menu` - the context menu manager

### runDefaultAction

    public void runDefaultAction(IStructuredSelection selection)

  Deprecated.
  Runs the default action (open file).

  Overrides:
    `runDefaultAction` in class `ResourceNavigatorActionGroup`
  Parameters:
    `selection` - the current selection

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.